import request from '@/utils/request'

// 查询专利有效导入详情列表
export function listDPatentEffectiveInfoPreDetail(query) {
  return request({
    url: '/dimp/dPatentEffectiveInfoPreDetail/list',
    method: 'get',
    params: query
  })
}

// 查询专利有效导入详情详细
export function getDPatentEffectiveInfoPreDetail(id) {
  return request({
    url: '/dimp/dPatentEffectiveInfoPreDetail/' + id,
    method: 'get'
  })
}

// 新增专利有效导入详情
export function addDPatentEffectiveInfoPreDetail(data) {
  return request({
    url: '/dimp/dPatentEffectiveInfoPreDetail',
    method: 'post',
    data: data
  })
}

// 修改专利有效导入详情
export function updateDPatentEffectiveInfoPreDetail(data) {
  return request({
    url: '/dimp/dPatentEffectiveInfoPreDetail',
    method: 'put',
    data: data
  })
}

// 删除专利有效导入详情
export function delDPatentEffectiveInfoPreDetail(id) {
  return request({
    url: '/dimp/dPatentEffectiveInfoPreDetail/' + id,
    method: 'delete'
  })
}
